Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Unassign flows by CRM Prospect ID (/v2/flows/prospects/unassign-flows-by-crm-id)

Prev Next
Post
/v2/flows/prospects/unassign-flows-by-crm-id

This endpoint lets you remove a specific prospect from the flows they are assigned to.

To remove the prospect from all flows they are assigned to, send the crmProspectId only.

If you want to remove the prospect from a specific flow, get the flow id from the /v2/flows/prospects endpoint and include the crmProspectId and flowId in the request.

The Ids of the flows the prospect was successfully removed from are returned in the response.

Required authorizaton scope: 'api:flows:write'.

Body parameters
object

Unassign flows by CRM Prospect ID request.

crmProspectId
string Required

The CRM ID of the prospect to unassign.

Examplea5V1Q00A120DP4CVAW
flowId
string

The identifier of the flow to unassign the prospect from.

Example1695493301223590792
unassignedByUserEmail
string

(Optional) The email address of the Gong user requesting to remove prospects from the flow instance. This is not the email of the prospect being removed from the flow.

Exampletest@test.com
Responses
200

Successful response

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
unassignedFlowInstanceIds
Array of string

Set of flow instance ids prospects were successfully removed from.

Example[ "234599484848423" ]
string
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Unauthorized

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string